package com.jw.app.business.mapping;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface MappingDAO {
	void insert_table(Map<String, Object> entity) throws BusinessException;

	void update_table(Map<String, Object> entity) throws BusinessException;

	void delete_table(Map<String, Object> entity) throws BusinessException;

	List<Map<String, Object>> list_table(RowBounds rowbounds,
			Map<String, Object> query) throws BusinessException;

	List<Map<String, Object>> list_table(Map<String, Object> query)
			throws BusinessException;

	int listCount_table(Map<String, Object> query) throws BusinessException;


}
